Bug 2246911 - Review Request: mucalc - Convenient command line calculator
Summary: Review Request: mucalc - Convenient command line calculator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Artur Frenszek-Iwicki
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-10-30 05:01 UTC by Davide Cavalca
Modified: 2023-11-14 01:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-11-04 15:07:25 UTC
Type: ---
Embargoed:
fedora: fedora-review+


Attachments (Terms of Use)

Description Davide Cavalca 2023-10-30 05:01:07 UTC
Spec URL: https://dcavalca.fedorapeople.org/review/mucalc/mucalc.spec
SRPM URL: https://dcavalca.fedorapeople.org/review/mucalc/mucalc-2.1-1.fc40.src.rpm

Description:
mucalc is a convenient calculator for the command line. It evaluates
mathematical expressions that are given as arguments, read from an input
stream, or typed interactively. In interactive mode, it provides line editing
with tab-completion and persistent history using GNU readline. The evaluation
of expressions is handled by the muParser math parser library.

Fedora Account System Username: dcavalca

Comment 1 Davide Cavalca 2023-10-30 05:01:09 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=108301277

Comment 2 Fedora Review Service 2023-10-30 15:15:34 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6581905
(failed)

Build log:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2246911-mucalc/srpm-builds/06581905/builder-live.log.gz

Please make sure the package builds successfully at least for Fedora Rawhide.

- If the build failed for unrelated reasons (e.g. temporary network
  unavailability), please ignore it.
- If the build failed because of missing BuildRequires, please make sure they
  are listed in the "Depends On" field


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 3 Artur Frenszek-Iwicki 2023-11-01 12:03:53 UTC
Both the spec and srpm link give me a 403 Forbidden.

Comment 4 Davide Cavalca 2023-11-02 03:33:19 UTC
Odd, the permissions on the mucalc directory on fedorapeople were wrong. I've fixed that and it should work now.

Comment 5 Artur Frenszek-Iwicki 2023-11-04 14:44:54 UTC
Looks fine to me. Works as expected. APPROVED.


Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated


===== MUST items =====

C/C++:
[-]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Package does not contain any libtool archives (.la)
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: The License field must be a valid SPDX expression.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 1457 bytes in 1 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mucalc-2.1-1.fc40.x86_64.rpm
          mucalc-debuginfo-2.1-1.fc40.x86_64.rpm
          mucalc-debugsource-2.1-1.fc40.x86_64.rpm
          mucalc-2.1-1.fc40.src.rpm
============== rpmlint session starts =============
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmp_i_7i9e7')]
checks: 31, packages: 4

mucalc.x86_64: W: no-manual-page-for-binary mucalc
=== 4 packages and 0 specfiles checked; 0 errors, 1 warnings, 0 badness; has taken 0.6 s ==




Rpmlint (debuginfo)
-------------------
Checking: mucalc-debuginfo-2.1-1.fc40.x86_64.rpm
============== rpmlint session starts =============
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmp2djrxsgy')]
checks: 31, packages: 1

======== 1 packages and 0 specfiles checked; 0 errors, 0 warnings, 0 badness; has taken 0.2 s =======





Rpmlint (installed packages)
----------------------------
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 3

mucalc.x86_64: W: no-manual-page-for-binary mucalc
 3 packages and 0 specfiles checked; 0 errors, 1 warnings, 0 badness; has taken 0.5 s 



Source checksums
----------------
https://marlam.de/key.txt :
  CHECKSUM(SHA256) this package     : 4e3a0863dd448b928c5acba130974a16c1aff9a396a1b9e9cca067a198265f5e
  CHECKSUM(SHA256) upstream package : 4e3a0863dd448b928c5acba130974a16c1aff9a396a1b9e9cca067a198265f5e
https://marlam.de/mucalc/releases/mucalc-2.1.tar.gz.sig :
  CHECKSUM(SHA256) this package     : db4376677be1b81b58623532f3899b9bc90f8dd187f6fb8c82c6ab11e1056415
  CHECKSUM(SHA256) upstream package : db4376677be1b81b58623532f3899b9bc90f8dd187f6fb8c82c6ab11e1056415
https://marlam.de/mucalc/releases/mucalc-2.1.tar.gz :
  CHECKSUM(SHA256) this package     : c7d4d13ebc2935bcd6cbef6a697aae572597f99f29c661995510e85fbd5ce58c
  CHECKSUM(SHA256) upstream package : c7d4d13ebc2935bcd6cbef6a697aae572597f99f29c661995510e85fbd5ce58c


Requires
--------
mucalc (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libm.so.6()(64bit)
    libmuparser.so.2()(64bit)
    libreadline.so.8()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

mucalc-debuginfo (rpmlib, GLIBC filtered):

mucalc-debugsource (rpmlib, GLIBC filtered):



Provides
--------
mucalc:
    mucalc
    mucalc(x86-64)

mucalc-debuginfo:
    debuginfo(build-id)
    mucalc-debuginfo
    mucalc-debuginfo(x86-64)

mucalc-debugsource:
    mucalc-debugsource
    mucalc-debugsource(x86-64)



Generated by fedora-review 0.10.0 (e79b66b) last change: 2023-07-24
Command line :/usr/bin/fedora-review -b 2246911
Buildroot used: fedora-rawhide-x86_64
Active plugins: C/C++, Generic, Shell-api
Disabled plugins: Haskell, Python, Ocaml, SugarActivity, PHP, Java, Perl, fonts, R
Disabled flags: EXARCH, EPEL6, EPEL7, DISTTAG, BATCH

Comment 6 Fedora Admin user for bugzilla script actions 2023-11-04 14:55:23 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/mucalc

Comment 7 Fedora Update System 2023-11-04 15:05:47 UTC
FEDORA-2023-f8405a8eef has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-f8405a8eef

Comment 8 Fedora Update System 2023-11-04 15:07:25 UTC
FEDORA-2023-f8405a8eef has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2023-11-04 15:22:20 UTC
FEDORA-2023-2b2cafea7f has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-2b2cafea7f

Comment 10 Fedora Update System 2023-11-04 15:34:51 UTC
FEDORA-2023-e8a82a4e63 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-e8a82a4e63

Comment 11 Fedora Update System 2023-11-06 02:54:17 UTC
FEDORA-2023-2b2cafea7f has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-2b2cafea7f \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-2b2cafea7f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2023-11-06 02:57:28 UTC
FEDORA-2023-e8a82a4e63 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-e8a82a4e63 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-e8a82a4e63

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2023-11-14 01:43:01 UTC
FEDORA-2023-2b2cafea7f has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2023-11-14 01:55:37 UTC
FEDORA-2023-e8a82a4e63 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.